                       
                         UltraISO revision history 

78, UltraISO Premium 9.76 (May 7, 2021) 
  +) New 'AutoSplit' feature, can write bootable UEFI USB disk from Windows 10 ISO
  +) Supports creating UDF ISO images with ultra large single files (above 200GB)
  *) Supports virtual drives of Daemon-tools Pro 8 
  *) Updates to LameEncoder 3.10 
  *) Some minor improvements and bug fixes 
   
77, UltraISO Premium 9.75 (July 30, 2020) 
  +) Can open, extract and burn BD ISO images 
  *) Supports BDXL (100GB/128GB) media type
  *) Supports virtual drives of Daemon-Tools Lite 10.x 
  *) Some minor improvements and bug fixes 
  
76, UltraISO Premium 9.73 (June 19, 2020) 
  +) Improved writing disk image feature, supports creating bootable flash 
     drive from more ISO images including CentOS 8
  *) Supports mounting ISZ images on Windows 10 (ISODrive)
  *) Fixed some compatible issues with Windows 10 2004
  *) Some minor improvements and bug fixes 
  
75, UltraISO Premium 9.72 (August 29, 2019) 
  +) Improved writing disk image feature, can create bootable flash drive from more 
     ISO images including Ubuntu 19.04, Fedora 30 and Manjaro Linux (grub2) 
  +) Supports creating bootable non-Removable USB disk (Samsung T3/T5)
  *) Can choose ISO images manually for RAW mode on writing disk image 
  *) Fixed a bug with handling some RockRidge volume
  *) Some minor improvements and bug fixes 

74, UltraISO Premium 9.71 (January 24, 2018) 
  +) Supports editing UEFI bootable ISO images made by mkisofs/genisoimage/xorriso
  +) Can load EFI boot image to an bootable ISO (Ctrl+Alt+I)   
  *) Show warning message when adding files with abnormal long filename (256+)
  *) Fixed a bug with opening ISO image of Acronis Disk Director 12  
  *) Some minor improvements and bug fixes 

73, UltraISO Premium 9.7 (July 31, 2017) 
  +) Improved writing disk image feature, can create bootable flash drive from more 
     ISO images including June edition Windows 10 and Windows Server 2012 R2
  +) Supports making bootable USB disk with ExFAT volume (Xpress Boot)   
  +) Can make bootable USB disk from ISO image of Acronis True Image 2017 
     Rescue Media (RAW)
  +) Supports detecting virtual drive(s) of Alcohol 120% v2.0.3.9902 on Windows 10
  *) Fixed a bug with handling UDF ISO images created by Microsoft IMAPI2
  *) Fixed the vulnerability for CVE-2009-1260
  *) Fixed the vulnerability for TALOS-2017-0342
  *) Some minor improvements and bug fixes 
  
72, UltraISO Premium 9.66 (November 18, 2016) 
  +) Can handle DMG image of MAC OS X El Capitan 10.11.6
  +) Supports writing disk image to 2TB HDD disk 
  +) Supports files above 4GB large in project file (UDF DVD)
  *) Fixed a bug with running on Terminal Server (Remote desktop)
  *) Fixed a bug with opening some Acronis TrueImgae ISO's
  *) Some minor improvements and bug fixes
  
71, UltraISO Premium 9.65 (July 21, 2015) 
  +) Supports Windows 10
  +) Improved writing disk image feature, can create bootable flash drive from more 
     ISO images including Debian 8,Ubuntu 15.04,SBAV 5.14 and gparted 0.22, etc 
  +) Supports resampling WMA media files when making an Audio CD   
  +) Supports mounting deep hidden partitions on a NTFS/exFAT volume (bootpart)
  +) Eject media when operation is done (make and burn)
  +) Can open and extract files from Android boot/recovery image files
  *) Fixed a bug with some CD/DVD writers with AHCI interface on burning 
  *) Some minor improvements and bug fixes
   
70, UltraISO Premium 9.62 (August 19, 2014) 
  +) Improved writing disk image feature, supports mobile HDD disks with 
     multiple partitions('Xpress write'), and takes much less time to prepare files
  +) Supports resampling MP3 media file when making an Audio CD   
  *) Improved 'Check CD/DVD' fature
  *) Fixed a bug with handling some dmg images
  *) Fixed a bug with detecting some CD/DVD writers
  *) Some minor improvements and bug fixes
  
69, UltraISO Premium 9.61 (January 21, 2014) 
  +) Improved writing disk image feature for mobile HDD disks
  +) Improved syslinux V5/V6 support, can create more bootable USB disk from 
     ISO images including GParted Live 0.17.0 and CloneZilla Live 2.2.0
  *) Fixed a bug with mounting a deep hidden boot partition (bootpart)   
  *) Fixed a bug with detecting newly inserted USB devices
  *) Fixed a UI bug for Polish and Vietnamese language
  *) Can detect and use Nero 14 and Roxio Creator NXT 2 as default burning software  
  *) Some minor improvements and bug fixes

68, UltraISO Premium 9.6 (November 21, 2013) 
  +) Can edit ISO images of Windows 8.1 x64 with EFI boot record
  +) Improved writing disk image feature, massive speed boost for preparing files procedure,
     and can create bootable flash drive from more ISO images including Fedora 18, webc-19.1, 
     SSD firmware images from Lenovo, etc.
  +) Supports PCI-e SD/MMC card reader     
  *) Fixed a bug with writing new SanDisk Extreme and Blade series USB flash drive
  *) Fixed a bug with handling some .WAV files
  *) Can detect and use Nero 14 and Roxio Creator NXT 2as default burning software  
  *) Some minor improvements and bug fixes

67, UltraISO Premium 9.53 (August 23, 2012) 
  +) Can edit ISO images of Windows 7/8 x64 with EFI boot record
  +) Can directly create bootable USB disk of Mac OS X Mountain Lion from dmg image
  +) New bootpart device driver, supports accessing boot partition(deep hidden)
     within Windows (PE) environment 
  +) Supports high-end hidden boot partition (bootmgr)
  +) Supports duplicating bootable USB flash drives (RAW mode)
  +) Sector alignment on formatting USB Flash Drive as FAT volume
  +) Can detect and use DVBFab virtual drive
  *) Fixed a bug with handing ISO images of Fedora 17 and CentOS 6.2
  *) Fixed a bug with image splitting on VMWare Fusion(MAC) or Wine(Linux)
  *) Some minor improvements and bug fixes

66, UltraISO Premium 9.52 (November 18, 2011) 
  +) Optimized U+ v2 boot technology, now it is possible to boot all of your 
     PCs with a single bootable USB flash drive
  +) Improved syslinux V3/V4 support, can create bootable USB disk from 
     ISO image of popular linux distributions, including:     
        Debian live 6.03
        Knoppix 6.7
        Backtrack 5
        Fedora 15
        OpenSUSE 11.4
        CentOS Live 6
        Mandriva Linux 2011
  *) Includes Lame 3.99 encoder        
  *) Can open BIF file of Acronis True Image 2012
  *) Supports virtual drives of Daemon-Tools Lite/Pro 4.41  
  *) Can detect and use Nero 11 and Roxio 2011 as default burning software
  *) Some minor improvements and bug fixes

65, UltraISO Premium 9.51 (October 25, 2011) 
  +) Enhanced U+ v2 boot technology (Level 3, 252 sectors)
  +) Improved syslinux V4 support, works for wrting bootable USB disk
     from ISO image of Hiren's Boot CD 14.1, UBCD 5.1, Ubuntu 11.10,
     and Parted Magic 6.6
  *) Some minor improvements and bug fixes 
    
64, UltraISO Premium 9.5 (October 11, 2011) 
  +) Second generation U+ boot technology (USB-HDD+ V2/USB-ZIP+ V2)
  +) Can create boot partition and supports 'Deep Hidden' option (U+ 2.0)
  +) Can write ISO images of EasyBoot (V6.5 and later) to bootable USB flash drive
  +) Supports syslinux V4 boot sector
  +) Can detect exFAT volume (not spliting large ISO files on save)
  +) Show information about write speed and time elapsed on writing USB drive
  +) Option to 'Use number of sectors of ISO image' on check CD/DVD
  +) New commandline parameters for writing an ISO image to USB disk (-writeusb)
  *) Faster USB disk writing speed
  *) Fixed a bug with changing volume name of UDF DVD image
  *) Fixed a bug with write disk image function on Win7 PE
  *) Some minor improvements and bug fixes 
    
63, UltraISO Premium 9.36 (February 8, 2010) 
  +) Improved write disk image feature, can write Ubuntu UNR 9.10 image to bootable 
     USB flash drive, and create bootable USB harddisk with multiple partitions (Xpress Write)
  +) Can handle CD-TEXT information of .C2D images   
  +) Show information about time elapsed on burn 
  +) Supports 25GB/50GB media type   
  *) Can detect and use virtual CD/DVD drive of Daemon-Tools 4.35 and Alcohol 120% 2.00
  *) Fixed a bug with mounting multiple ISOs to virtual drive with isocmd.exe
  *) Some minor improvements and bug fixes 
  
62, UltraISO Premium 9.35 (August 31, 2009) 
  +) Improved write disk image feature, can write more ISO's to bootable USB 
     flash drive including Windows 7 RTM, HP's SmartStart CD and Hiren's Boot CD
  +) Can open multi-part ISZ files located at different disks/folders
  +) New commandline parameters for creating XBOX DVD image (-xdvdfs) and 
     compiling project file (.ui) to ISO
  *) Fixed a bug with opening some MDS/MDF images
  *) Fixed a bug with creating PS2 CD/DVD images from some abnormal SYSTEM.CNF file
  *) Fixed some compatible problems with Windows 7 RTM
  *) Improved MP3/WAV format support for creating audio CD image
  *) Some minor improvements and bug fixes 

61, UltraISO Premium 9.33 (February 11, 2009) 
  +) Can open, view and extract files from XBOX360 ISO images
     and non copy-protected XBOX360 DVD's
  +) Supports mounting UDF DVD images on Windows Vista/Windows 7 Beta1 (ISODrive)
  +) Saves newly detected media capacity
  *) Improved performance for editing bootable ISO's with large boot image file
  *) Can detect and use Nero 9 as default burning software
  *) Fixed a compatible problem with Ashampoo burning package
  *) Fixed a bug with converting some PlayStation CD images in MDS/MDF format
  *) Some minor improvements and bug fixes 

60, UltraISO Premium 9.32 (December 5, 2008) 
  +) Supports natural file/folder priority mode (Shift+F12)
  +) Auto splits ISO/NRG images above 4GB on making DVD images to 
     USB devices with FAT32 volume
  +) Can change time and hidden attribute of files in floppy/disk image
  +) Supports Vietnamese and Malaysian languages
  *) Can detect and use Roxio Creator 2009 as default burning software
  *) Can handle UDF volume with huge amount of files and folders (200K+)
  *) Reports newly added files on 'Verify checksums' operation
  *) Some minor improvements and bug fixes 

59, UltraISO Premium 9.31 (October 16, 2008) 
  +) Improved Write Disk Image feature
  +) Supports edtting multiple bootable ISO images at the same time
  +) Clear read only attribute of files when drag and drop from ISO image to 
     windows explorer
  *) Can save modified .ISZ images directly
  *) Fixed a bug with making ISO image from some emulated CD/DVD drives
  *) Some minor improvements and bug fixes 

58, UltraISO Premium 9.3 (July 25, 2008) 
  +) Enhanced U+ boot technology (USB-HDD+/USB-ZIP+), improves boot 
     compatibility and reliability
  +) New "Xpress Boot" feature set, can keep disk format on creating 
     bootable USB flash drive's(UFD's)(Xpress Write) and change master boot 
     record(MBR)/boot sector of UFD's with ease
  +) Can make ISO image from emulated USB-CDROM drive's
  +) Can save multi-segment .ISO/.NRG images (above 4GB) in FAT32 volume 
  +) Can use ultraiso.ini to save/load configuration (install="-1")
  *) Keeps graphics menu on writing isolinux/syslinux based bootable UFD's
  *) Some minor improvements and bug fixes 

57, UltraISO Premium 9.2 (May 25, 2008) 
  +) Innovation U+ boot technology (USB-HDD+/USB-ZIP+), can create highly
     compatible dual mode  (USB-HDD and USB-ZIP) bootable USB flash drives
  +) Can extract boot sectors from floppy and hard disk drives   
  +) Can create ISZ images from CD/DVD's via command-line (-copy)
  +) New option to shutdown computer when complete of compress operation
  +) Supports multiple user account working environment
  +) Supports Daemon-Tools Lite/Pro virtual drives
  *) Fixed a bug with handling volume label of some ISO images
  *) Improved bootable linux USB disk creation (knoppix/ubuntu) 
  *) Some minor improvements and bug fixes 

56, UltraISO Premium 9.12 (April 8, 2008) 
  +) New write disk image feature, can create bootable USB flash drive from 
     floppy/disk images (*.IMA), bootable CD/DVD images (*.ISO) or files on 
     local harddisk (MS-DOS, WinPE, or isolinux/syslinux based systems)     
  +) Can create new harddisk image (up to 16GB) and floppy image (up to 2GB)
     with custom size
  +) Supports bootsector of DOS(MSDOS/PCDOS/FREEDOS), Windows NT and syslinux
  +) Can freely change floppy/disk image size (F9) 
  +) Supports Japanese language 
  +) Supports detecting CD/DVD media capacity from drive
  +) Can optimize files above 1GB large
  +) Show folder size in ISO image
  *) Some minor improvements and bug fixes 

55, UltraISO Premium 9.0 (February 27, 2008) 
  +) Enhanced ISO CD/DVD image processing core, can open, convert and burn
     many compressed ISO image format
  +) Improved compress feature, supports multiple volume name format,  
     option to create checksum file (.SFV) and change encrytion settings on save
  +) Improved verify feature, supports 'Verify against file' on burn (UltraBurn)
  +) Can create new floppy images with many formats and make image from 
     USB flash disk
  +) Can burn some non-standard ISO images (UltraBurn) 
  +) Supports instant drive letter changing (ISODrive)
  +) Supports device number on mounting ISO images with command-line parameter 
     (isocmd -mount 0: filespec)
  +) Show log window on error for saving and extraction operation
  *) Some minor improvements and bug fixes 

54, UltraISO 8.66 PE (January 3, 2008) 
  +) Improved Apple DMG format support, can open/convert/burn most
     DMG images including OSX 10.5 Leopard
  +) Can make ISO images from data CD/DVD-ROM and mount ISO's by 
     command-line without administrator's right
  +) Improved portable environment support, can read configuration 
     from ultraiso.ini (Can export current options by Ctrl+Alt+E)   
  +) Can edit ISO images with single file size above 4GB large
  +) Can handle CD-TEXT information of audio CD images in CloneCD(.CCD) format
  *) Fixed a bug with editing ISO image of Microsoft Visual Studio 2008
  *) Can burn on Windows Vista 64 with 4GB+ memory (UltraBurn)
  *) Some minor improvements and bug fixes 

53, UltraISO 8.65 PE (November 2, 2007) 
  +) Optimized for dual/quad core processors in compress operation 
  +) Can test integrity of ISZ images with built-in CRC32 checksum       
  +) New UltraCache feature, can use up to 1GB cache memory 
     for recording CD's and DVD's (UltraBurn)
  +) New 'Verify' option for recording (UltraBurn)
  +) Supports multi-segment NRG/ISO images created by Nero
  *) Supports large desktop icon for Windows Vista
  *) Option to display current media type
  *) Some minor improvements and bug fixes 

52, UltraISO 8.63 PE (July 12, 2007) 
  +) Show free space (or overload) size of current disc
  +) Can change media type with popup menu
  *) Fixed a bug with editing some dual-layer .NRG images 
  *) Fixed a bug with erasing CD/DVD-RW discs on Pletor PX-755A
  *) Some minor improvements and bug fixes

51, UltraISO 8.62 PE (April 18, 2007) 
  +) Using binary comparisons for optimized files (works 
     like cdimage -oc)
  +) Shell integration works for standard users on
     Windows Vista 32bit/64bit
  +) Supports full erasing re-writable media
  +) New command-line parameter to exclude drive letters
     for ISODrive (isocmd -x)  
  *) Fixed a bug with converting some segmented MDS images
  *) Keeps original creator for modified UDF volume
  *) Better supports Nero 6.6.x.x burning engine 
  *) Some minor improvements and bug fixes

50, UltraISO 8.61 PE (January 25, 2007) 
  +) Supports ISZ images with segments above 4GB large
  +) Supports shell extension (isoshell) on 64bit Windows 
     XP/2003/Vista
  +) Improved UltraBurn, can burn all supported 
     Audio CD/VCD/SVCD/Mixed Mode CD images
  +) Can change all filenames in an ISO image to uppercase
     (Ctrl+Alt+U) or to lowercase (Ctrl+Alt+L)   
  +) New command-line parameters (-bin2isz) for compressing 
     ISO images via command-line
  *) Includes Lame 3.97 encoder
  *) Fixed a bug with decoding some WMA files
  *) Better supports latest Nero 7.7.5.1 and 6.6.1.6
  *) Some minor improvements and bug fixes

49, UltraISO 8.6 PE (November 27, 2006) 
  +) New shell extension (isoshell), supports creating, mounting, 
     extracting and burning ISO/ISZ images with context menu of 
     Windows explorer
  +) Improved ISODrive, including:
     - Can mount/unmount ISO's without admin privilege and from
       mapped network drives
     - Automount images on system startup
     - Locks mounted images to avoid being deleted
     - Improved DVD-Video disc emulation
  +) Can detect and mount to virtual drives of Daemon-Tools 4.08
     and Alcohol 120% 1.9.6.4719 (No config file needed)
  +) Keeps disc layout when editing bootable CD/DVD ISO's
  +) Can change priority of multiple files/folders at once
  +) Option to open newly created CD/DVD images on complete
  +) New command-line parameters for creating and mounting password
     protected ISZ images (-password)
  *) Fixed a bug with handling time zone information of some PS2 
     DVD images
  *) Fixed a bug with opening some old WinOnCD (.c2d) VCD images
  *) Setup tweaks 
  *) Some minor improvements and bug fixes

48, UltraISO 8.51 PE (September 29, 2006) 
  +) Build-in ISO CD/DVD emulator (ISODrive), works on Windows 
     Vista RC1 and 64bit Windows XP/2003, and supports
     portable environment  
  +) Can mount all supported (30+) data CD/DVD images including 
     ISZ (compressed ISO) images to ISODrive
  +) Improved ISO editing core, can save modified UDF ISOs directly
  +) Can create and burn PS2 CD images
  +) Can open BIF files extracted from Acronis TrueImage 9 
     bootable CDs
  +) Supports wildchars for command-line '-file'
  +) Supports more skins and Windows Vista icons
  +) Improved NeroAPI support, auto detects media type on burn
  +) Supports Serbian Cyrillic and Farsi languages 
  *) Improved Alcohol 120% and Virtual CloneDrive support 
  *) Fixed a GUI problem with windows vista
  *) Some minor improvements and bug fixes

47, UltraISO 8.2 PE (Premium Edition) (July 28, 2006) 
  +) Supports project file, which can be reused to compile ISOs 
     or burn CDs and DVDs
  +) Can compile IML (Sony PS2 CD/DVD Image) file to ISO, or import IML
     to UltraISO and burn it on-the-fly
  +) Can create PS2 DVD images from files and folders directly
  +) Keeps disc layout when editing PS2 DVD ISOs
  +) Supports BlindWrite 6 (.B6T/.B6I) format   
  +) Supports keyboard operation to browse files (Can type path name, 
     <Enter> and < BackSpace> to change folder)
  +) New command line parameters for creating UDF DVD images (-udfdvd) 
     and reading command-line options from a text file (-cmd)
  +) New option for setting language by uikey.ini
  *) Fixed a on-the-fly burning problem with UDF volume (UltraBurn)
  *) Fixed a conflicting problem with Alcohol 120% 1.9.5.4212 (SPTD)
  *) Some minor improvements and bug fixes

46, UltraISO 8.12 PE (Premium Edition) (June 26, 2006) 
  +) Build-in DVD burning engine, can write all supported (30+) data 
     CD/DVD images to DVD-R/RW, DVD+R/RW, DVD-R/+R DL and DVD-RAM
  +) Supports On-the-Fly burning mode (UltraBurn)  
  +) Supports compressed ISO image (.ISZ) format with AES256 encryption 
     and heavy compression
  +) Can split ISO images up to 100 segments(volumes) with custom size 
     (ZIP-100, CD-650, CD-700 and variable DVD size in bytes)    
  +) Improved DVD-Video image creation, increases compatibility with 
     home DVD players   
  +) Can detect and mount ISO images to Virtual CloneDrive (version 
     5.1.4.x and above)
  +) New command line parameter for replacing files in an ISO image
     with same size file on disk
  +) Improved portable environment support, can read registration 
     information from ini file and clear reopen file list (by Ctrl+Alt+H)   
  *) Fixed a problem with conflicting with Gear Video 8.01
  *) Some minor improvements and bug fixes

45, UltraISO 8.0 PE (Premium Edition) (April 12, 2006) 
  +) Supports UDF DVD images, can add/extract files above 4GB (up
     to 200GB) large
  +) Can create bootable UDF images (such as bootable DVD of Windows Vista)
  +) Can mount ISO image to virtual CD/DVD drives of Daemon-Tools 4.x and 
     Alcohol 120% 1.9.5.3823
  +) Can change disc label of ISO images with UDF volume
  +) Can extract files from audio CD images by command-line 
  +) New command-line parameters for creating/verifying ISO checksums
  *) Improved RockRidge volume support
  *) Fixed a bug with extracting files from DVD image of MSDN Subscriptions 
     Library, May 2006 Edition
  *) Fixed a bug with opening some BWT/BWI/BWS images
  *) Some minor improvements and bug fixes

44, UltraISO 7.66 ME (March 6, 2006) 
  +) Can open/edit harddisk images (FAT/FAT32 volume only)
  +) Can create audio CD images above 99min
  +) Can auto-detect Nero 7 and Roxio 8 as default burning softeare
  +) New command-line parameters for extracting single file/folder from an 
     ISO image (-get) and generating bootinfotable for ISOLINUX-based
     bootable CDs
  +) Return exit code for commandline operations   
  +) Supports 1.4G/30Min and 2.8G/60Min DVD media
  *) Fixed a bug with extracting boot image file from bootable ISOs created
     by Ghost 8.3
  *) Fixed a bug with opening some CDExtra images
  *) Some minor improvements and bug fixes

43, UltraISO 7.65 SR-2 (January 6, 2006) 
  +) Improved bootable ISO creating core, increases compatibility 
     with most BIOS and CD/DVD drives 
  *) Fixed a bug with detecting ISO mounting status of Alcohol 120%
  *) Fixed a bug with integration of BIN files

42, UltraISO 7.65 SR-1 (December 21, 2005) 
  +) Can open Windows Vista ISO properly
  +) Do not show splash screen for command-line operations   
  *) Fixed a bug with command-line operation for adding folders to an 
     ISO without '-output' option  
  *) Fixed a bug with ISO volume detection of some DVD-Video images
  *) Fixed misused function keys (Ctrl+V and Ctrl+A)
  
41, UltraISO 7.65 ME (October 12, 2005) 
  +) Can create XBOX DVD image from files and folders 
  +) Can create mixed mode CD images
  +) Supports WMA encoder of Windows XP SP2 and creates audio CD image 
     from WMA files
  +) New command-line parameters for setting file priority and advanced 
     hidden attribute  
  +) Can save boot file from Acronis TrueImage 9 CD image
  +) Automatically adjust Joliet filename settings as needed
  *) Fixed an access violation problem with lame_enc.dll
  *) Fixed a bug with setting date/time of files in a RockRidge volume 
  *) Some minor improvements and bug fixes

40, UltraISO 7.62 ME (August 16, 2005) 
  +) New priority attribute, can optimize file position on CD/DVD 
  +) Can rip WMA from CD-ROMs and CD images directly, as well as
     extract WAV/MP3 files to WMA format
  +) Can open and extract XBOX DVD images
  +) Supports DMG images with Apple HFSX volume
  +) Supports old PXI images created by DiscDupe of Plextor Manger 2000
  +) Check if ISO image is mounted to a virtual CD/DVD drive on save
  *) Improved PS2 CD/DVD and PSP UMD image support
  *) Fixed a bug with very long cammand-line parameters
  *) Some minor improvements and bug fixes
 
39, UltraISO 7.61 ME (July 12, 2005) 
  +) Improved Mac DMG image support
  +) Can mount ISO images to virtual CD/DVD drives of Alcohol 120% and
     Deamon-Tools directly
  +) Can create Audio CD image from MP3 files    
  +) Tools to change Volume Label of an ISO image
  +) New command line parameters for converting DMG to ISO (-dmg2iso) 
  +) Option to support 'Daylight Saving Time'
  +) Option to move deleted local disk files to 'Recycle Bin' 
  +) Supports Lithuanian language
  *) Some minor improvements and bug fixes
  
38, UltraISO 7.6 ME (June 9, 2005) 
  +) Supports Apple disk images(.DMG), can convert DMG to ISO, NRG, BIN/CUE
     MDS/MDF and CCD formats (including compressed DMG images)
  +) Can view and extract files from Apple HFS+ volume of CD/DVD and disk
     images
  +) Supports Audio CD image in Ashampoo(.ashdisc) and GameJack(.XMD/.XMF)
     formats
  +) Supports disk images with FAT32 volume and long filenames
  +) Can change label of disk images (FAT12/FAT16/FAT32)
  +) Option to skip bad sectors when making a floppy image   
  +) Option to adjust media type of an ISO image on save
  *) Fixed a bug with unexpected 'backup' folder creation (under the same 
     directory of the ISO file just opened)     
  *) Some minor improvements and bug fixes 
  
37, UltraISO 7.56 ME(May 10, 2005) 
  +) Can rip MP3 from CD-ROMs and CD images directly, supports CBR, ABR and 
     VBR with presets (Lame MP3 Encoder)
  +) Build-in digital audio player, can play audio tracks on CD-ROMs and WAV 
     file in Audio CD images
  +) Can read CD-TEXT information from CD-DA and audio CD images in 
     BIN/CUE, NRG and PXI format
  +) Option to generate ISO image checksum, including MD5, CRC-32 and CRC-16
  +) New command line parameter for silent ISO creation 
  +) Supports Finnish, Macedonian, Croatian and Romanian languages
  *) Fixed a bug with opening some PS2 DVD images
  *) Fixed a bug with writing back IMA file to a floppy diskette
  *) Some minor improvements and bug fixes 
  
36, UltraISO 7.55 ME(March 22, 2005) 
  +) New direct CD access feature, can open data/audio/video/
     multi-session CD/DVD-ROMs directly, view/extract/edit the content 
     and save to an image
  +) Can open and convert CD/DVD images with single UDF volume 
     (without ISO-Bridge)
  +) New command line parameters for making CD/DVD images 
  +) Supports Catalan language
  +) Checks image format compatibility when burning on Nero 
  *) Fixed a compatible problem of .NRG image creation (Nero CD-DVD Speed)
  *) Fixed a bug with opening some MDS images and multi-session CCD images
  *) Fixed a bug with remembering height of main window on quit
  *) Some minor improvements and bug fixes 
  
35, UltraISO 7.52 ME(February 25, 2005) 
  +) New integrity check feature, can create and verify MD5 
     checksums of files on harddisk, ISO image and CD/DVD Disc
  +) Supports MDS images created by DVDDecrypter
  +) Supports CD+G/CDI images in BIN/CUE format
  +) Option to generate MD5 checksums on save
  +) Option to set image type associates
  *) Fixed a bug with handling backup images (.uibak) when 
     saving an ISO image directly
  *) Some minor improvements and bug fixes 
  
34, UltraISO 7.51 ME(January 15, 2005) 
  +) Supports more burning software, including Alcohol 120%, 
     CloneCD, and cdrpack (cdrecord/cdrdao)
  +) Show LBA of files and folders in an ISO image
  +) Can change file properties (Time, Hidden attributes, etc)
  +) Can write .IMA image back to a floppy diskette
  +) Option to hide the local explorer (bottom pane)
  +) Option to disable backup files (.uibak) creation
  +) Slovak language supported   
  *) Fixed a bug with handling DOS 8.3 filenames
  *) Show warning message for unsupported HFS volume  
  *) Some minor improvements and bug fixes 
  
33, UltraISO 7.5 ME(December 15, 2004) 
  +) Improved image converting core, can convert Mixed Mode/CD Extra and 
     multi-session CD images to BIN/CUE, NRG, CCD/IMG and MDS/MDF format.
  +) Improved burning engine support, works with Microsoft CD/DVD burn 
     utility on windows XP/2003  (cdburn.exe and dvdburn.exe)
  +) Can make CD/DVD images to Alcohol 120% (.MDS/.MDF) format
  +) Can edit and save mixed mode CD images
  +) Supports multi-session ISO/HFS Hybrid CD images
  +) Remember ISO properties of a CD/DVD image, including media type, 
     volume information and currently working path
  +) Option to set write speed and write method (DAO/TAO)
  +) Detect and show warning message for single file above 4GB limit
  +) Option to 'Enable ISO Volume Filter" when checking a CD/DVD disc or
     an ISO image
  *) Fixed a bug with opening HFS volume with partition table     
  *) Fixed a bug with renaming filename in RockRidge volume     
  *) Some minor improvements and bug fixes 
  
32, UltraISO 7.25 ME(November 9, 2004) 
  +) Can view and extract files from HFS volume of an Apple/Windows 
     Hybrid CD image
  +) Supports Audio CD image in WinOnCD(.C2D), NTI CD/DVD Maker(.NCD)
     and CDSpace(.LCD) formats
  +) Can detect non-English version Easy CD/DVD Creator burning software
  +) Can burn Dual Layer DVD+R disc on Nero (NeroBurn)
  +) Can save Audio section of a Mixed mode/CD Extra image
  +) Option to recompile ISO image when saving directly 
  +) Option to filter ISO volume when making CD/DVD image to .ISO format
  +) Supports Windows special folder "Desktop"
  +) Do MD5 check on ISO image directly and output the log file
  +) Slovenian and Estonian languages supported
  *) Some minor improvements and bug fixes 
  
31, UltraISO 7.23 ME(October 12, 2004) 
  +) Can create Apple HFS volume (Apple/Windows Hybrid CDs, 
     Pre-mastering only)
  +) Supports DVD images in CloneCD 5 format (.DVD/.000)
  +) Can extract boot file from bootable CD images created by 
     Acronis products (TrueImage, Disk Director, etc.)
  +) Improved bootable ISO creating core, increases compatibility 
     with most CD/DVD drives after burned to a CD-R/DVD-R disc 
  +) Can extract audio tracks from a Mixed Mode/CD Extra image
  +) Filter output MPEG stream of 'Extract MPEG file' from a VCD 
     or Super VCD image (compatible with Media Player 9) 
  *) Fixed a 'very slow CD read' bug when making .BIN/.CUE image 
     from a CD Extra disc
  *) Some minor improvements and bug fixes 

30, UltraISO 7.22 ME(September 9, 2004) 
  +) Can create DVD-Video ISO image from .IFO/.VOB files
  +) Can save CD/DVD images in .MDS/.MDF (Alcohol 120%) format
  +) Can handle multi-segment DVD images in Alcohol 120% (.MDS/.MDF)
     and NTI CD/DVD maker (.NCD) format 
  +) Show warning message when an ISO image above 4GB is saving 
     on a FAT32 volume
  +) Supports Latvian and Arabic languages
  *) Fixed a bug with making disc image from some DVD drives under 
     Windows XP SP2
  *) Fixed a bug with deleting folders from some Windows CD image 
     with RockRidge volume
  *) Some minor improvements and bug fixes 

29, UltraISO 7.21 SR-2 (July 29, 2004) 
  +) Can auto-detect and work with more burning software, including 
     CopyToDVD and BlindWrite 5.
  +) Can handle multi-segment DVD images in RecordNow(.GI) and 
     BlindWrite 5(.B5T/.B5I) format 
  +) Can extract video files to .MPG format from a VCD image
  +) Shell integration 'Convert to ISO' action with .BIN files  
  *) Improved DVD backup function, can make images from  DVD+R/RW discs 
     properly     
  *) Fixed a bug with adding .WAV files with extra marker
  *) Fixed a bug with making bootable DVD with large amount of files in 
     root directory
  *) Fixed a UI problem with large font size (120DPI)
  *) Some minor improvements and bug fixes 

28, UltraISO 7.21 SR-1 (July 2, 2004) 
  +) Can works with and auto-detects Roxio's burning software, include 
     Easy CD Creator 5, Easy CD & DVD Creator 6 and WinOnCD 6
  +) Can erase non-empty rewritable disc before burning (NeroBurn) 
  +) Norwegian language supported.
  *) Fixed a bug with extracting .MPG files from SVCD image with 
     non-standard folder name
  *) Fixed a bug with opening .PXI images created by PlexTools 2.15
  *) Fixed a bug with making images from some DVD discs
  *) Some minor bugs fixed   

27, UltraISO 7.21 ME(Media Edition) (June 22, 2004) 
  +) Supports user-defined burning engine, and detects many burning
     software (such as Nero Burning ROM, Roxio Easy Media Creator, 
     Sonic RecordNow! Deluxe and NTI CD/DVD Maker) automatically 
  +) Can make Mixed Mode and CD Extra image from CD/DVD-ROM disc, and 
     save to Nero(NRG), BIN/CUE and CloneCD(IMG/CCD/SUB) formats 
  +) Option to set date/time of volume and all files in an ISO image   
  +) Supports multi-session BIN/CUE images created by ISOBuster
  +) Supports Nero 6.3.1.x burning engine (NeroBurn)
  +) Brazilian Portuguese, Danish and Hebrew languages supported
  *) Fix a bug with DVD-R capacity gauge (formatted disc)
  *) Fix a bug with opening .PXI images created by PlexTools 2.14
  *) Fix a bug with command line parameter '-extract'
  *) Some minor bugs fixed  

26, UltraISO 7.2 ME(Media Edition) (June 6, 2004) 
  +) Can make Audio, Video and multi-session data CD image from 
     CD/DVD-ROM disc
  +) Supports Audio CD image in DiscJuggler(.CDI) and BlindWrite
     (.BWT/.BWI,.B5T/.B5I) format
  +) Keeps CD-TEXT information when converting Audio CD image from .PXI
     to .BIN/.CUE format
  +) Supports multi-session data CD images, you can select which session 
     to import, and convert multi-session CD images to Nero(.NRG) format
  +) Can handle bootable CD/DVD images with hard disk emulation
  +) Belarusian language supported
  *) Fix a bug with RockRidge volume creation
  *) Some minor bugs fixed  

25, UltraISO 7.1 ME(Media Edition) (May 18, 2004) 
  +) Improved DVD/CD image format converting core, can convert Audio CD/
     Video CD images from MDS/CUE/CCD/PDI/GI/C2D/CIF to BIN/CUE, Nero(NRG)
     and CloneCD(IMG/CCD/SUB) format
  +) supports Audio CD image in PlexTools(.PXI) and Virtual CD(.VC4/.000)
     format
  +) New command line parameters for extracting image files and converting 
     BIN to ISO    
  +) Can make ISO images from dual layer DVD discs
  +) Greek and Serbian language supported
  *) Improved ASPI/SPTI interface under Windows NT/2000/XP/2003
  *) Fix a bug with unexpected error message dialog when media of a 
     CD/DVD-ROM is removed
  *) Fix a bug with UDF volume creation
  *) Fix a bug with opening DVD images in MDS/MDF format  
  *) Some minor bugs fixed  

24, UltraISO 7.0 ME(Media Edition) (April 19, 2004) 
  +) Improved DVD/CD image format analyzing core, supports more 
     Audio CD image formats, include:
         Alcohol 120%               *.MDF/*.MDS
         CDRWin                     *.BIN/*.CUE
         CloneCD                    *.IMG/*.CCD  
         Pinnacle Instant CD/DVD    *.PDI
         RecordNow Max              *.GI
         Roxio Easy Media Center    *.C2D
         Easy CD/DVD creator        *.CIF   
  +) Can save Audio CD image in BIN/CUE and CloneCD(IMG/CCD/SUB) format       
  +) Supports Super VCD images (extract only)
  +) Supports Roxio burning engine, include Easy Media Center 7.0,
     Easy CD & DVD Creator 6.0 and Easy CD Creator 5.0 
  +) Can Burn DVD image on Nero Burning-ROM (with Nero GUI)
  +) Supports single file-size up to 4GB in an ISO image
  *) Fix a bug with editing some bootable DVD/CD images created by WinPE 
     builder  
  *) Fix a bug with opening Apple/Windows Hybrid CD images  
  *) Some minor bugs fixed  

23, UltraISO 6.56 SR-2 (March 19, 2004) 
  +) New "Simulated Save" function, you can get precise information of 
     a Data/Audio CD image before save it
  +) Can display total size under given directory
  +) Advanced hidden attribute for ISO files (cannot see it under DOS 
     or Windows explorer)   
  +) Show detailed information when overwriting files exist
  +) Korean language supported
  *) Improved ASPI interface under Windows 98/Me
  *) Fix some problems with multiple CD/DVD-ROM devices
  *) Some minor bugs fixed  

22, UltraISO 6.56 SR-1 (March 2, 2004) 
  +) Supports adding folders to a disk image
  +) Supports Nero 6.3.0.0 burning engine
  +) New commandline parameter for deleting file/folder from an ISO image   
  +) Balgurian and Turkish languages supported
  *) Speeds up 'Super Restore' operation when adding files and folders to 
     an ISO image exists
  *) Setup tweaks
  *) Some minor bugs fixed  

21, UltraISO 6.56 (February 16, 2004) 
  +) Supports additional ISO/Joliet Volume Descriptor information fields 
     (Application ID, Data preparer, Copyright file, etc.) .
  +) Supports dragging files off an image into windows explorer
  +) More commandline parameters for creating new directory and setting 
     path in ISO image   
  *) Supports up to 255 characters in file name when UDF volume is used  
  *) Some minor bugs fixed  

20, UltraISO 6.55 (February 6, 2004) 
  +) Supports commandline parameters to create an iso image and to 
     add files to an iso image.
  +) Supports Adding files to a floppy image (.IMA)
  +) Multi-languages version is available   
  +) Tips for bootable information (Emulation/No Emulation and boot
     image size)
  *) Extract reallocated directorys in RockRidge volume
  *) Fix a bug with 'boot catalog' file for some Unix/linux bootable CDs 
  *) Use ISO 9660 volume name by default
  *) Some minor bugs fixed  

19, UltraISO 6.52 SR-2 (January 5, 2004) 
  +) Option to generate bootinfotable for boot image (Linux bootable CDs)
  +) Sorting-functionality for time, size and type
  +) Check disk free space before saving an image file   
  +) Supports MINI-CDR (221MB/25Min) media type
  *) Overwrite same name directory by default   
  *) Do not change Joliet name length settings where option of 
     'Add Joliet Volume as Needed' is not checked    
  *) Some minor bugs fixed  

18, UltraISO 6.52 SR-1 (December 5, 2003) 
  +) Set exec/search bit of access mode for folders/files (Unix/Linux CDs)
  +) Show progress information when adding large amount of files to 
     image or optimizing the CD file systems
  *) Fixed the unexpected '.rr_moved' folder creation problem if 
     directory depth exceeds 8 levels
  *) Burn currently opened ISO image by default  
  *) Fixed the bug of wrong 'Total Size' information when open ISO
     image more than one times   
  *) Some minor bugs fixed  

17, UltraISO 6.52 (November 19, 2003) 
  +) Supports ISO image with RockRidge extension (Linux/Unix CDs)
  +) Option to omit ISO 9660 version number
  +) Advanced Options such as 'Super Restore' and 'Add Joliet Volume 
     as needed' can be changed
  +) Can refresh local directory files
  *) Improved SPTI interface
  *) Fixed 'Disc Locked' problem for some CD/DVD-ROM devices   
  *) Some minor bugs fixed  

16, UltraISO 6.51 (October 28, 2003) 
  +) Supports super long filename up to 221 characters (ISO 9660-MAX 
     volume only)
  +) Option to allow lower case letter in ISO 9660 filename
  +) Set current date_time as volume label by automatic as default
  +) Can set and save default image properties 
  *) Overwrite same name file when adding files to ISO image
  *) Some minor bugs fixed  

15, UltraISO 6.5 (September 22, 2003) 
  +) Improved ISO file processing engine, UltraISO is more stable 
  +) Can burn CD image directly through Nero-Burning ROM
  +) Do MD5 check for CD-ROM disc (sector by sector mode) 
  +) Selectable media type (74Min/80Min/90Min/99Min/DVD-R)
  *) Some minor bugs fixed  

14, UltraISO 6.1 (July 21, 2003) 
  +) Save/Convert data CD image to CloneCD(.CCD/.IMG) format with 
     sub-channel (.SUB) file
  +) Support Video-CD image (Extract only)
  +) Support disk image (.IMA, Extract Only)
  +) Set additional ISO/Joliet Volume Descriptor information fields 
     (System ID, Volume Set Name, Publisher Name, etc.) 
  *) Save last accessed path of Open and SaveAS operation
  *) Some minor bugs fixed  

13, UltraISO 6.0 (May 18, 2003) 
  +) Can convert CD image to .NRG and .BIN/.CUE format
  +) New Graphical User Interface in Windows XP style
  +) Main menu included
  +) Skin and sound effect options
  +) Support Windows explorer to UltraISO drag & drop
  +) Show number of files and total size property of both Image and 
     Local directory
  *) Fixed hung up problem when open an empty ISO file
  *) Some minor bugs fixed  

12, UltraISO 5.55 SR-2 (April 22, 2003) 
  +) Advanced hidden attribute for ISO directory (cannot see it under DOS 
     or Windows explorer)
  +) Support DVD premastering with UDF volume (ISO/UDF bridge) 
  +) Can save CD image in .NRG or .BIN/.CUE format
  +) Support Hungarian language
  *) Fixed hung up problem when 'Optimize' is checked
  *) Fixed "Default ISO folder" cannot change problem
  *) Some minor bugs fixed

11, UltraISO 5.55 SR-1 (March 28, 2003) 
  +) Hanlde CD/DVD image up to 10GB 
  +) Build-in ISO file manager, with user-defined "My ISO Files" folder 
  +) Support .pdi (InstantCopy 7) CD/DVD image format
  +) Support Windows special folder("My Documents")
  +) Convert multiple CD Image files in batch mode
  +) Support 2 more languages, include Russian and Swedish
  *) Setup and document improvement
  *) Some minor bugs fixed

10, UltraISO 5.55 (February 22, 2003) 
  +) Space Optimize for N in 1 CD builder(works like cdimage form Microsoft)
  +) Handle more than 26 data CD image format, include 7 new format:
         NTI CD-Maker          *.NCD              
         Prassi                *.GCD/*.GI 
         Gear                  *.p01/*.md1/*.xa   
         WinOnCD               *.C2D              
  +) Support multisession data CD image
  +) Create/Edit Audio CD image(NRG format) with user-defined song's name and 
     volume ID extension
  +) Support SPTI interface under Windows 2000/XP
  +) Progress bar for file extract operation
  +) Keyboard support for file list action(Ctrl-A and Del)
  +) Support 8 languages, include English, French, German, Italian, Spanish, 
     Dutch, Simplified Chinese and Traditional Chinese
  *) Fixed file name problem with Asian language charset
  *) Some minor bugs fixed 

9, UltraISO 5.5 (December 10, 2002) 
  +) Fully bootable CD specification support   
  +) Support more than 19 data CD Image format, include:
         BlindWrite            *.BWI/*.BWT   
         CDSpace               *.LCD
         CDRWin                *.BIN/*.CUE
         CloneCD               *.IMG/*.CCD  
         Easy CD Creator       *.CIF  
         Fantom CD             *.MDF/*.MDS
         Farstone Virtual Drive*.VCD
         Nero - Burning ROM    *.NRG
         Noum Vapor CDROM      *.VaporCD 
         DiscJuggler           *.CDI
         VCDROM Extension      *.FCD     
         Virtual CD            *.VC4/*.000
         Virtuo CD Manager     *.VDI
         Duplicator            *.TAO/*.DAO
  +) Support long filename up to 110 characters(Joliet Volume)
  +) Directly extract boot file form CD
  +) Realizes make floppy image function
  +) Realizes CD image convert function  
  +) Realizes "Extract To" popup menu
  *) Fixed SUPER RESTORE file time recovery problem
  *) Some minor bugs fixed 
  
8, UltraISO 5.1 (October 7, 2002) 
  +) EasyBoot and the SoftDisc add-on tools are released, the product family 
     is more perfect 
  +) Optimizes the code, greatly speeds up program starting on Windows 98 
  *) Fixed local directory manipulation error under Windows 98 
  *) Fixed file reopen menu without the response problem 
  *) Fixed the SUPER RESTORE path processing problem 
  *) Fixed the non-ISO document type processing problem 
  *) Some minor bugs fixed 
    
7, UltraISO 5.0 (September 20, 2002) 
  +) New ISO file processing engine, UltraISO is more stable and highly effective 
  +) The SUPER RESTORE feature, can accurately restore to original state of edited
     ISO file, guarantees the ISO document is not damaged in any conditions 
  +) Support 1.2M/1.44M/2.88M floppy disk simulation bootable compact disc 
  +) Integrity help document (CHM form) 
  +) Realizes reopen the last accessed documents function 
  +) Supports CD image copy under Windows 2000 operationg system 
  *) Fixed the bug that sometimes folder cannot be accessed after burning to CD-R 
  
6, UltraISO 4.5 (August 19, 2002) 
  +) New graphics user interface (GUI), user may adjust the window size and the 
     work area size now 
  +) Supports popup menu, you can edit ISO image file with more convenience 
  +) Comprehensive Drag & Drop support 
  +) Supports the Shell integration, double click the ISO document may directly be opened
  *) Some minor bugs fixed 

5, UltraISO 4.1 (July 28, 2002)
  *) Fixed read error handle when process CD copy
  *) Fixed file open without response error under Windows 98 operating system 
  *) Fixed ISO path level limit problem 
  *) Fixed display wrong information with create new folder to ISO file 
  *) Some minor bugs fixed 

4, UltraISO 4.0 (June 1, 2002)
  +) Intelligent ISO document format processing, may open Nero-Buring ROM, Easy CD 
     Creator,ISOBuster, ClonecCd, and nearly all format created by Virtual CD tools 
  +) Support directly copy compact disc to ISO image file 
  +) Support extract boot image from ISO file 
  +) You can set hidden attribute of  file/folder in ISO 
  +) Retain hidden attribute on file extract form/add to ISO image 
  +) Keep file date/time attribute after extract from ISO image 

3, UltraISO 3.1 SR-2 (May 22, 2002) 
  +) UltraISO now released as a independent tool 
  *) Fixed Joliet volume local filename process error 
  *) Fixed wrong "local file" date/time information displayed 

2, UltraISO 3.1 SR-1 (April 24, 2002) 
  +) The ISO 9660 volumes may have local file name 
  +) The ISO 9660 volumes file name may not contain '.' 
  +) The ISO 9660 volumes file name may contain many '.' 
  *) Fixed bug of add file to ISO image 
  *) Fixed bug of set boot image to ISO image

1, UltraISO 3.1 (April 20, 2002)
  +) Initial public released edition 
